Subject: [PATCH v2 1/3] PATA host controller driver for ep93xx

From: [email-masked] (Arnd Bergmann)
Date: Wed, 4 Apr 2012 15:23:50 +0000

On Wednesday 04 April 2012, Rafal Prylowski wrote:
> > 
> > According to ATA specification, maximum IORDY pulse width is 1250ns,
> > so I'll set timeout to 2ms (I should check this before posting the driver..).
> 
> 2ms is far too big value... Should be 2us.

Ok, in this case, don't use jiffies. I guess it was already flawed because
jiffies doesn't get updated while you are in an interrupt handler.

You could use ktime_get to get a high-resolution time stamp to compare to,
but it depends on how accurate your clocksource is.

	Arnd